Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5143)
@@ -4,4 +4,7 @@
 
   USE dimphy
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
   ! ======================================================================
@@ -63,5 +66,4 @@
   ! ======================================================================
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! ARGUMENTS
@@ -159,4 +161,8 @@
 
   USE dimphy
+  USE lmdz_libmath, ONLY: ismin, ismax
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
 
@@ -222,8 +228,4 @@
   ! -------
 
-  ! externals.
-  ! ----------
-  INTEGER ismin, ismax
-  EXTERNAL ismin, ismax
 
   ! reference.
@@ -238,5 +240,4 @@
 
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! -----------------------------------------------------------------------
@@ -529,8 +530,10 @@
   ! -----------------------------------------------------------------------
   USE dimphy
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! -----------------------------------------------------------------------
@@ -974,8 +977,10 @@
   ! -----------------------------------------------------------------------
   USE dimphy
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! -----------------------------------------------------------------------
@@ -1087,8 +1092,10 @@
 
   USE dimphy
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! -----------------------------------------------------------------------
@@ -1257,4 +1264,7 @@
 
   USE dimphy
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
   ! ======================================================================
@@ -1317,5 +1327,4 @@
 
   include "YOMCST.h"
-  include "YOEGWD.h"
 
   ! ARGUMENTS
@@ -1470,8 +1479,10 @@
   USE dimphy
   USE lmdz_abort_physic, ONLY: abort_physic
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOEGWD.h"
   ! -----------------------------------------------------------------------
 
@@ -1777,9 +1788,8 @@
   USE lmdz_geometry
   USE lmdz_abort_physic, ONLY: abort_physic
+  USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
+
   IMPLICIT NONE
-
-  ! -----------------------------------------------------------------
-  include "YOEGWD.h"
-  ! ----------------------------------------------------------------
 
   ! ARGUMENTS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5143)
@@ -418,4 +418,6 @@
   USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
   USE lmdz_dimpft, ONLY: nvm_lmdz
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     IMPLICIT NONE
@@ -423,6 +425,4 @@
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "YOETHF.h"
-    INCLUDE "FCTTRE.h"
 
     !****************************************************************************************
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5143)
@@ -356,4 +356,6 @@
     USE lmdz_conema3
     USE lmdz_dimpft, ONLY: nvm_lmdz
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     IMPLICIT NONE
@@ -1154,6 +1156,4 @@
 
     include "YOMCST.h"
-    include "YOETHF.h"
-    include "FCTTRE.h"
 
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5143)
@@ -52,4 +52,5 @@
     USE lmdz_writefield_phy
     USE lmdz_clesphys
+    USE lmdz_YOETHF
 
 #ifdef REPROBUS
@@ -191,5 +192,4 @@
     ! DECLARATIONS
     ! ==============
-    include "YOETHF.h"
     include "YOMCST.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5143)
@@ -1,79 +1,77 @@
-  SUBROUTINE reevap(klon,klev,iflag_ice_thermo,t_seri,q_seri,ql_seri,qs_seri, &
-           d_t_eva,d_q_eva,d_ql_eva,d_qs_eva)
+SUBROUTINE reevap(klon, klev, iflag_ice_thermo, t_seri, q_seri, ql_seri, qs_seri, &
+        d_t_eva, d_q_eva, d_ql_eva, d_qs_eva)
 
-    ! flag to include modifications to ensure energy conservation (if flag >0)
-    USE add_phys_tend_mod, ONLY: fl_cor_ebil
-    
-    IMPLICIT NONE
-    !>======================================================================
+  ! flag to include modifications to ensure energy conservation (if flag >0)
+  USE add_phys_tend_mod, ONLY: fl_cor_ebil
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
-    INTEGER klon,klev,iflag_ice_thermo
-    REAL, DIMENSION(klon,klev), INTENT(IN) :: t_seri,q_seri,ql_seri,qs_seri
-    REAL, DIMENSION(klon,klev), INTENT(OUT) :: d_t_eva,d_q_eva,d_ql_eva,d_qs_eva
+  IMPLICIT NONE
+  !>======================================================================
 
-    REAL za,zb,zdelta,zlvdcp,zlsdcp
-    INTEGER i,k
+  INTEGER klon, klev, iflag_ice_thermo
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: t_seri, q_seri, ql_seri, qs_seri
+  REAL, DIMENSION(klon, klev), INTENT(OUT) :: d_t_eva, d_q_eva, d_ql_eva, d_qs_eva
 
-    !--------Stochastic Boundary Layer Triggering: ALE_BL--------
-    !---Propri\'et\'es du thermiques au LCL 
-    include "YOMCST.h"
-    include "YOETHF.h"
-    include "FCTTRE.h"
-    !IM 100106 BEG : pouvoir sortir les ctes de la physique
+  REAL za, zb, zdelta, zlvdcp, zlsdcp
+  INTEGER i, k
 
-    ! Re-evaporer l'eau liquide nuageuse
+  !--------Stochastic Boundary Layer Triggering: ALE_BL--------
+  !---Propri\'et\'es du thermiques au LCL
+  include "YOMCST.h"
+  !IM 100106 BEG : pouvoir sortir les ctes de la physique
 
-!print *,'rrevap ; fl_cor_ebil:',fl_cor_ebil,' iflag_ice_thermo:',iflag_ice_thermo,' RVTMP2',RVTMP2
-    DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
-       DO i = 1, klon
-        IF (fl_cor_ebil > 0) THEN
-          zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
-          zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*(q_seri(i,k)+ql_seri(i,k)+qs_seri(i,k)))
-        else
-          zlvdcp=RLVTT/RCPD/(1.0+RVTMP2*q_seri(i,k))
-          !jyg<
-          !  Attention : Arnaud a propose des formules completement differentes
-          !                  A verifier !!!
-          zlsdcp=RLSTT/RCPD/(1.0+RVTMP2*q_seri(i,k))
-        end if
-          IF (iflag_ice_thermo == 0) THEN
-             zlsdcp=zlvdcp
-          ENDIF
-          !>jyg
+  ! Re-evaporer l'eau liquide nuageuse
 
-          IF (iflag_ice_thermo==0) THEN
-             !pas necessaire a priori
+  !print *,'rrevap ; fl_cor_ebil:',fl_cor_ebil,' iflag_ice_thermo:',iflag_ice_thermo,' RVTMP2',RVTMP2
+  DO k = 1, klev  ! re-evaporation de l'eau liquide nuageuse
+    DO i = 1, klon
+      IF (fl_cor_ebil > 0) THEN
+        zlvdcp = RLVTT / RCPD / (1.0 + RVTMP2 * (q_seri(i, k) + ql_seri(i, k) + qs_seri(i, k)))
+        zlsdcp = RLSTT / RCPD / (1.0 + RVTMP2 * (q_seri(i, k) + ql_seri(i, k) + qs_seri(i, k)))
+      else
+        zlvdcp = RLVTT / RCPD / (1.0 + RVTMP2 * q_seri(i, k))
+        !jyg<
+        !  Attention : Arnaud a propose des formules completement differentes
+        !                  A verifier !!!
+        zlsdcp = RLSTT / RCPD / (1.0 + RVTMP2 * q_seri(i, k))
+      end if
+      IF (iflag_ice_thermo == 0) THEN
+        zlsdcp = zlvdcp
+      ENDIF
+      !>jyg
 
-             zdelta = MAX(0.,SIGN(1.,RTT-t_seri(i,k)))
-  zdelta = 0.
-             zb = MAX(0.0,ql_seri(i,k))
-             za = - MAX(0.0,ql_seri(i,k)) &
-                  * (zlvdcp*(1.-zdelta)+zlsdcp*zdelta)
-             d_t_eva(i,k) = za
-             d_q_eva(i,k) = zb
-             d_ql_eva(i,k) = -ql_seri(i,k)
-             d_qs_eva(i,k) = 0.
+      IF (iflag_ice_thermo==0) THEN
+        !pas necessaire a priori
 
-          ELSE
+        zdelta = MAX(0., SIGN(1., RTT - t_seri(i, k)))
+        zdelta = 0.
+        zb = MAX(0.0, ql_seri(i, k))
+        za = - MAX(0.0, ql_seri(i, k)) &
+                * (zlvdcp * (1. - zdelta) + zlsdcp * zdelta)
+        d_t_eva(i, k) = za
+        d_q_eva(i, k) = zb
+        d_ql_eva(i, k) = -ql_seri(i, k)
+        d_qs_eva(i, k) = 0.
 
-             !CR: on r\'e-\'evapore eau liquide et glace
+      ELSE
 
-             !        zdelta = MAX(0.,SIGN(1.,RTT-t_seri(i,k)))
-             !        zb = MAX(0.0,ql_seri(i,k))
-             !        za = - MAX(0.0,ql_seri(i,k)) &
-             !             * (zlvdcp*(1.-zdelta)+zlsdcp*zdelta)
-             zb = MAX(0.0,ql_seri(i,k)+qs_seri(i,k))
-             za = - MAX(0.0,ql_seri(i,k))*zlvdcp & 
-                  - MAX(0.0,qs_seri(i,k))*zlsdcp
-             d_t_eva(i,k) = za
-             d_q_eva(i,k) = zb
-             d_ql_eva(i,k) = -ql_seri(i,k)
-             d_qs_eva(i,k) = -qs_seri(i,k)
-          ENDIF
+        !CR: on r\'e-\'evapore eau liquide et glace
 
-       ENDDO
+        !        zdelta = MAX(0.,SIGN(1.,RTT-t_seri(i,k)))
+        !        zb = MAX(0.0,ql_seri(i,k))
+        !        za = - MAX(0.0,ql_seri(i,k)) &
+        !             * (zlvdcp*(1.-zdelta)+zlsdcp*zdelta)
+        zb = MAX(0.0, ql_seri(i, k) + qs_seri(i, k))
+        za = - MAX(0.0, ql_seri(i, k)) * zlvdcp &
+                - MAX(0.0, qs_seri(i, k)) * zlsdcp
+        d_t_eva(i, k) = za
+        d_q_eva(i, k) = zb
+        d_ql_eva(i, k) = -ql_seri(i, k)
+        d_qs_eva(i, k) = -qs_seri(i, k)
+      ENDIF
+
     ENDDO
-
-
+  ENDDO
 
 END SUBROUTINE reevap
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5143)
@@ -1,7 +1,6 @@
-
 MODULE stdlevvar_mod
 
-! This module contains main procedures for calculation
-! of temperature, specific humidity and wind at a reference level
+  ! This module contains main procedures for calculation
+  ! of temperature, specific humidity and wind at a reference level
 
   USE cdrag_mod
